import 'package:airpackage/themes/colors.dart';
import 'package:airpackage/themes/icons.dart';
import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';

class Network {
  String key = 'ig';
  String label = 'Instagram';
  IconData icon = AirIcons.environment;
  Color color = AirColors.socials.instagram;

  Network(String key) {
    this.key = key;
    this.icon = this._getIcon();
    this.label = this._getLabel();
    this.color = this._getColor();
  }

  String _getLabel() {
    Map<String, String> possibleLabels = {
      'ig': 'Instagram',
      'fb': 'Facebook',
      'tw': 'Twitter',
      'yt': 'Youtube',
      'pt': 'Pinterest',
    };

    return possibleLabels[this.key];
  }

  IconData _getIcon() {
    Map<String, IconData> possibleIcons = {
      'ig': AirIcons.social_instagram,
      'fb': AirIcons.social_facebook,
      'tw': AirIcons.social_twitter,
      'yt': AirIcons.social_youtube,
      'pt': AirIcons.social_pinterest,
    };

    return possibleIcons[this.key];
  }

  Color _getColor() {
    Map<String, Color> possibleColors = {
      'yt': AirColors.socials.youtube,
      'tw': AirColors.socials.twitter,
      'fb': AirColors.socials.facebook,
      'ig': AirColors.socials.instagram,
      'pt': AirColors.socials.pinterest,
    };

    return possibleColors[this.key];
  }
}
