import 'package:airpackage/classes/popupItem.dart';
import 'package:airpackage/components/cursor.dart';
import 'package:flutter/material.dart';

class AirPopup extends StatelessWidget {
  final Widget child;
  final Function action;
  final List<PopupItem> options;

  AirPopup({
    @required this.child,
    @required this.action,
    @required this.options,
  });

  @override
  Widget build(BuildContext context) {
    return Cursor(
      child: PopupMenuButton(
        onSelected: this.action,
        child: child,
        itemBuilder: (context) {
          return List.generate(this.options.length, (index) {
            PopupItem option = this.options[index];
            return PopupMenuItem(
              value: option.value,
              child: Wrap(
                alignment: WrapAlignment.center,
                crossAxisAlignment: WrapCrossAlignment.center,
                children: <Widget>[
                  Padding(
                    padding: EdgeInsets.only(right: 10),
                    child: Icon(option.icon, size: option.iconSize, color: option.iconColor,),
                  ),
                  Text(option.label),
                ],
              ),
            );
          });
        },
      ),
    );
  }
}
