import 'package:airpackage/classes/cursors.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:universal_html/html.dart' as html;

class Cursor extends MouseRegion {
  static final appContainer =
      html.window.document.getElementById('app-container');

  Cursor({Widget child, CursorType cursor = Cursors.pointer})
      : super(
          onHover: (PointerHoverEvent evt) {
            appContainer.style.cursor = cursor.name;
          },
          onExit: (PointerExitEvent evt) {
            appContainer.style.cursor = 'default';
          },
          child: child,
        );
}
