import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

class InfluencerAvatar extends StatelessWidget {
  final String url;
  final Color color;
  final double size;

  InfluencerAvatar({
    this.size = 26,
    @required this.url,
    @required this.color,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      width: this.size,
      height: this.size,
      decoration: BoxDecoration(
        border: Border.all(
          width: 2,
          color: this.color,
        ),
        borderRadius: BorderRadius.circular(this.size),
      ),
      child: CircleAvatar(
        radius: this.size,
        foregroundColor: this.color,
        backgroundImage: NetworkImage(this.url),
      ),
    );
  }
}
